---
openapi: 3.1.0
components:
  schemas:
    AddressSearchRequest:
      type: object
      properties:
        query:
          type: string
        filters:
          $ref: "#/components/schemas/Filters"
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
    Filters:
      type: object
      properties:
        country:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication
paths:
  /api/v1/addresses/search:
    post:
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AddressSearchRequest"
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema: {}
        "401":
          description: Not Authorized
        "403":
          description: Not Allowed
        "400":
          description: Bad Request
      summary: Search
      tags:
      - Address Search Resource
      security:
      - SecurityScheme:
        - api-address-beacon
        - system-full-access
info:
  title: address-api API
  version: 0.1.0-SNAPSHOT
